/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */


 :root {
 
    --ion-background-color: #003B6F;
    --ion-text-color: #ffffff;

    .searchbar-input.sc-ion-searchbar-md {
      background: #fff !important;
  }

    /** primary **/
  --ion-color-primary: #003B6F;
  --ion-color-primary-rgb: 56, 128, 255;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255, 255, 255;
  --ion-color-primary-shade: #3171e0;
  --ion-color-primary-tint: #4c8dff;

  --highlight-color-focused: transparent !important;
  --highlight-color-valid: transparent !important;
  --highlight-color-invalid: transparent !important;
  --highlight-background: transparent !important;

    ion-input {
        /* --background: #fff; */
        width: 100%;
        margin-top: .4em;
    }

    /** warning **/
  --ion-color-warning: #f3dc92;
  --ion-color-warning-rgb: 255, 196, 9;
  --ion-color-warning-contrast: #000000;
  --ion-color-warning-contrast-rgb: 0, 0, 0;
  --ion-color-warning-shade: #ffd95b;
  --ion-color-warning-tint: #ffd95b;
}

.main-content {
  width: 100%;
  height: 100vh !important;
  display: flex;
  align-items: center;
}

.section {
  width: 90%;
  height: 100%;
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center !important;
  background: transparent;
}

/* HEADER */

.section-header {
  margin-top: 20%;

  .section-title {
    text-align: center;
    text-transform: uppercase;
    font-size: 1.5rem;
    font-weight: 700;
    margin-top: 2%;
    color: rgb(230, 230, 230);
    background: transparent;
  }
  
  .section-image-wrapper {
    width: 70%;
    margin: 0 auto;
  }
}


/* BODY */

.section-body {
  height: 100%;
  width: 100%;
  overflow: scroll;
  margin-bottom: 10px;
}


/* ADM-LIST */

.adm-list-item {
  .adm-list-item-wrap {
      flex-direction: row !important;
      padding: 15px;

      .adm-list-info {
          .adm-list-title {
              font-size: 1rem;
          }

          .adm-list-subtitle {
              margin-top: .4em;
              color: rgb(102, 101, 101);
          }
      }

      .adm-list-icons {
        display: flex;

          .adm-list-icon {
              font-size: 14px;
              margin-left: 5px;
              height: 85%;
          }
      }
  }
}


/* BUTTON */

.section-button-wrapper {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;

  .section-button {
      width: 60%;
      margin: 0 auto;

      .button {
          width: 100%;
          text-transform: uppercase;
      }

      .register-link {
          text-decoration: none;
          color: #fff;
          text-align: left;
      
          &:hover {
              color: #fff;
          }
      }
  }
}


/* FOOTER */

.section-footer {
  z-index: -10;
  width: 100%;
  text-align: right;
  position: relative;

  .section-footer-image {
    margin: 0;
    padding: 0;
    z-index: -10;
    position: absolute;
    right: -50px;
    bottom: 0;
  }
}


/* INPUTS */

.input-list-wrap, .input-wrap {
  background: #fff !important;
  color: #000 !important;
  width: 100%;

}

.input-list-wrap {
  display: flex;
  justify-content: space-between;
  padding: 3px;
  margin-top: 8px;
}

.ion-item-general {
  margin: 0 auto;
  margin-top: .9em;
  width: 90%;

  .ion-input {
    margin-top: .3em;
    padding-left: 35px;
  }

  .input-checkbox {
    outline: 2px solid #fff;
    margin-left: 5px;
  }

  .label-checkbox {
      margin-left: 15px;
  }
}

.item-input.sc-ion-label-md-h, .item-input .sc-ion-label-md-h {
  display: inline !important;
}

.bg-transparent {
  background: transparent;
}




/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";
